Organize Pages Events in TypeScript PDF Viewer

17 Feb 20262 minutes to read

The PDF Viewer exposes events for tracking and responding to actions within the page organizer, enabling customization of page manipulation workflows.

pageOrganizerSaveAs

The pageOrganizerSaveAs event is triggered when a save action is performed in the page organizer.

  • Occurs when the Save as button in the page organizer toolbar is clicked after modifying the document structure.

The event arguments provide information about the save event:

  • fileName: The name of the currently loaded PDF document.
  • downloadDocument: A base64 string of the modified PDF document data.
  • cancel: A boolean that, when set to true, prevents the default save action from proceeding.
import { PdfViewer, Toolbar, Magnification, Navigation, LinkAnnotation,ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, ValidateFormFieldsArgs, PageOrganizer } from '@syncfusion/ej2-pdfviewer';

PdfViewer.Inject( Toolbar,Magnification, Navigation, LinkAnnotation,ThumbnailView,
             BookmarkView, TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer );

let pdfviewer: PdfViewer = new PdfViewer({
    documentPath: 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
    pageOrganizerSaveAs: function (args) {
        console.log('File Name is' + args.fileName);
        console.log('Document data' + args.downloadDocument);
    }
});
pdfviewer.appendTo('#PdfViewer');

pageOrganizerZoomChanged

The pageOrganizerZoomChanged event is triggered when the zoom level of the page organizer is changed.

  • This event is fired when the user interacts with the zoom slider in the page organizer. The showImageZoomingSlider property in pageOrganizerSettings must be set to true for the slider to be visible.

Event arguments:

  • previousZoom: The previous zoom value.
  • currentZoom: The current zoom value.
import { PdfViewer, Toolbar, Magnification, Navigation, LinkAnnotation,ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, ValidateFormFieldsArgs, PageOrganizer } from '@syncfusion/ej2-pdfviewer';

PdfViewer.Inject( Toolbar,Magnification, Navigation, LinkAnnotation,ThumbnailView,
             BookmarkView, TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer );

let pdfviewer: PdfViewer = new PdfViewer({
    documentPath: 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
    pageOrganizerZoomChanged: function (args) {
        console.log('Previous Zoom Value is' + args.previousZoom);
        console.log('Current Zoom Value is' + args.currentZoom);
    }
});
pdfviewer.pageOrganizerSettings = { showImageZoomingSlider: true };
pdfviewer.appendTo('#PdfViewer');

Organize Pages Events in Vue PDF Viewer

28 Feb 20269 minutes to read

The PDF Viewer exposes events for tracking and responding to actions within the page organizer, enabling customization of page manipulation workflows.

pageOrganizerSaveAs

The pageOrganizerSaveAs event is triggered when a save action is performed in the page organizer.

  • Occurs when the Save as button in the page organizer toolbar is clicked after modifying the document structure.

The event arguments provide information about the save event:

  • fileName: Name of the currently loaded PDF document.
  • downloadDocument: Base64 string of the modified PDF document data.
  • cancel: Set to true to prevent the default save-as action.
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer"
                   ref="pdfviewer"
                   :documentPath="documentPath"
                   :resourceUrl="resourceUrl"
                   :pageOrganizerSaveAs="onSaveAs">
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
  import { PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer } from '@syncfusion/ej2-vue-pdfviewer';
  import { provide, ref } from 'vue';

  const pdfviewer = ref(null);
  const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";
  const resourceUrl = "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib";

  provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer]);

  const onSaveAs = function(args) {
    console.log('File Name is ' + args.fileName);
    console.log('Document data ' + args.downloadDocument);
    // args.cancel = true; // Uncomment to prevent default Save As
  };
</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer"
                   ref="pdfviewer"
                   :documentPath="documentPath"
                   :resourceUrl="resourceUrl"
                   :pageOrganizerSaveAs="onSaveAs">
    </ejs-pdfviewer>
  </div>
</template>

<script>
  import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer } from '@syncfusion/ej2-vue-pdfviewer';

  export default {
    name: 'App',
    components: { 'ejs-pdfviewer': PdfViewerComponent },
    data() {
      return {
        documentPath: 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
        resourceUrl: 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib'
      };
    },
    provide: {
      PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
        TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer]
    },
    methods: {
      onSaveAs(args) {
        console.log('File Name is ' + args.fileName);
        console.log('Document data ' + args.downloadDocument);
        // args.cancel = true; // Uncomment to prevent default Save As
      }
    }
  };
</script>

pageOrganizerZoomChanged

The pageOrganizerZoomChanged event is triggered when the zoom level of the page organizer changes.

  • Fired when the user interacts with the zoom slider in the page organizer. Ensure showImageZoomingSlider is set to true in pageOrganizerSettings.

Event arguments:

  • previousZoom: Previous zoom value.
  • currentZoom: Current zoom value.
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer"
                   ref="pdfviewer"
                   :documentPath="documentPath"
                   :resourceUrl="resourceUrl"
                   :pageOrganizerZoomChanged="onZoomChanged"
                   :pageOrganizerSettings="pageOrganizerSettings">
    </ejs-pdfviewer>
  </div>
</template>

<script setup>
  import { PdfViewerComponent as EjsPdfviewer, Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer } from '@syncfusion/ej2-vue-pdfviewer';
  import { provide, ref } from 'vue';

  const pdfviewer = ref(null);
  const documentPath = "https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf";
  const resourceUrl = "https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib";
  const pageOrganizerSettings = { showImageZoomingSlider: true };

  provide('PdfViewer', [Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer]);

  const onZoomChanged = function(args) {
    console.log('Previous Zoom Value is ' + args.previousZoomValue);
    console.log('Current Zoom Value is ' + args.currentZoomValue);
  };
</script>
<template>
  <div id="app">
    <ejs-pdfviewer id="pdfViewer"
                   ref="pdfviewer"
                   :documentPath="documentPath"
                   :resourceUrl="resourceUrl"
                   :pageOrganizerZoomChanged="onZoomChanged"
                   :pageOrganizerSettings="pageOrganizerSettings">
    </ejs-pdfviewer>
  </div>
</template>

<script>
  import { PdfViewerComponent, Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
    TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer } from '@syncfusion/ej2-vue-pdfviewer';

  export default {
    name: 'App',
    components: { 'ejs-pdfviewer': PdfViewerComponent },
    data() {
      return {
        documentPath: 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
        resourceUrl: 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib',
        pageOrganizerSettings: { showImageZoomingSlider: true }
      };
    },
    provide: {
      PdfViewer: [Toolbar, Magnification, Navigation, LinkAnnotation, ThumbnailView, BookmarkView,
        TextSelection, Annotation, FormDesigner, FormFields, PageOrganizer]
    },
    methods: {
      onZoomChanged(args) {
        console.log('Previous Zoom Value is ' + args.previousZoomValue);
        console.log('Current Zoom Value is ' + args.currentZoomValue);
      }
    }
  };
</script>

Organize Pages Events in PDF Viewer

25 Feb 20266 minutes to read

The PDF Viewer exposes events for the page organizer to track and respond to page manipulation actions (for example: rotate, rearrange, insert, delete, and copy).

pageOrganizerSaveAs

The pageOrganizerSaveAs event is triggered when a save action is performed in the page organizer.

  • Fires when the Save as button in the page organizer toolbar is clicked after modifying the document structure.

The event arguments provide the necessary information about the save event:

  • fileName: The name of the currently loaded PDF document.
  • downloadDocument: A base64-encoded string containing the modified PDF document.
  • cancel: Boolean; set to true to prevent the default save action.
import * as React from 'react';
import * as ReactDOM from 'react-dom/client';
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  ThumbnailView,
  BookmarkView,
  TextSelection,
  Annotation,
  FormDesigner,
  FormFields,
  PageOrganizer,
  Inject
} from '@syncfusion/ej2-react-pdfviewer';

function App() {
  let pdfviewer;
  return (
    <div>
        <PdfViewerComponent
          id="PdfViewer"
          ref={(scope) => { pdfviewer = scope; }}
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          pageOrganizerSaveAs={(args) => {
            console.log('File Name is' + args.fileName);
            console.log('Document data' + args.downloadDocument);
          }}
          style=
        >
          <Inject services={[
            Toolbar,
            Magnification,
            Navigation,
            LinkAnnotation,
            ThumbnailView,
            BookmarkView,
            TextSelection,
            Annotation,
            FormDesigner,
            FormFields,
            PageOrganizer
          ]} />
        </PdfViewerComponent>
      </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

pageOrganizerZoomChanged

The pageOrganizerZoomChanged event fires when the page organizer zoom level changes.

  • This event occurs when the user interacts with the zoom slider in the page organizer. The showImageZoomingSlider property in pageOrganizerSettings must be set to true for the slider to appear.

Event arguments:

  • previousZoom: The previous zoom value.
  • currentZoom: The current zoom value.
import * as React from 'react';
import * as ReactDOM from 'react-dom/client';
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  ThumbnailView,
  BookmarkView,
  TextSelection,
  Annotation,
  FormDesigner,
  FormFields,
  PageOrganizer,
  Inject
} from '@syncfusion/ej2-react-pdfviewer';

function App() {
  let pdfviewer;
  return (
    <div>
        <PdfViewerComponent
          id="PdfViewer"
          ref={(scope) => { pdfviewer = scope; }}
          documentPath="https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf"
          resourceUrl="https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib"
          pageOrganizerZoomChanged={(args) => {
            console.log('Previous Zoom Value is' + args.previousZoom);
            console.log('Current Zoom Value is' + args.currentZoom);
          }}
          pageOrganizerSettings=
          style=
        >
          <Inject services={[
            Toolbar,
            Magnification,
            Navigation,
            LinkAnnotation,
            ThumbnailView,
            BookmarkView,
            TextSelection,
            Annotation,
            FormDesigner,
            FormFields,
            PageOrganizer
          ]} />
        </PdfViewerComponent>
      </div>
  );
}

const root = ReactDOM.createRoot(document.getElementById('sample'));
root.render(<App />);

Organize Pages Events in Angular PDF Viewer

17 Apr 20265 minutes to read

The PDF Viewer exposes events for the page organizer to track and respond to page manipulation actions (for example: rotate, rearrange, insert, delete, and copy).

pageOrganizerSaveAs

The pageOrganizerSaveAs event is triggered when a save action is performed in the page organizer.

  • Occurs when the Save as button in the page organizer toolbar is clicked after modifying the document structure.

The event arguments provide information about the save event:

  • fileName: The name of the currently loaded PDF document.
  • downloadDocument: A base64 string of the modified PDF document data.
  • cancel: A boolean that, when set to true, prevents the default save action from proceeding.
import { Component, ViewChild, OnInit } from '@angular/core';
import {
  PdfViewerComponent,
  PdfViewerModule,
  LinkAnnotationService,
  BookmarkViewService,
  MagnificationService,
  ThumbnailViewService,
  ToolbarService,
  NavigationService,
  TextSearchService,
  TextSelectionService,
  PrintService,
  AnnotationService,
  FormFieldsService,
  FormDesignerService,
  PageOrganizerService,
  PageOrganizerSaveAsEventArgs,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  providers: [
    LinkAnnotationService,
    BookmarkViewService,
    MagnificationService,
    ThumbnailViewService,
    ToolbarService,
    NavigationService,
    TextSearchService,
    TextSelectionService,
    PrintService,
    AnnotationService,
    FormFieldsService,
    FormDesignerService,
    PageOrganizerService,
  ],
  template: `
    <ejs-pdfviewer
      #pdfviewer
      id="PdfViewer"
      [documentPath]="document"
      [resourceUrl]="resource"
      (pageOrganizerSaveAs)="onPageOrganizerSaveAs($event)"
      style="height: 100vh; width: 100%; display: block"
    >
    </ejs-pdfviewer>
  `,
})
export class AppComponent implements OnInit {
  @ViewChild('pdfviewer')
  public pdfviewerControl!: PdfViewerComponent;

  public document: string =
    'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';

  public resource: string =
    'https://cdn.syncfusion.com/ej2/23.2.6/dist/ej2-pdfviewer-lib';

  ngOnInit(): void {
    // Initialization logic (if needed)
  }

  onPageOrganizerSaveAs(args: PageOrganizerSaveAsEventArgs): void {
    console.log('File Name is' + args.fileName);
    console.log('Document data' + args.downloadDocument);
  }
}

pageOrganizerZoomChanged

The pageOrganizerZoomChanged event is triggered when the zoom level of the page organizer is changed.

  • This event is fired when the user interacts with the zoom slider in the page organizer. The showImageZoomingSlider property in pageOrganizerSettings must be set to true for the slider to be visible.

Event arguments:

  • previousZoom: The previous zoom value.
  • currentZoom: The current zoom value.
import { Component, ViewChild, OnInit } from '@angular/core';
import {
  PdfViewerComponent,
  PdfViewerModule,
  LinkAnnotationService,
  BookmarkViewService,
  MagnificationService,
  ThumbnailViewService,
  ToolbarService,
  NavigationService,
  TextSearchService,
  TextSelectionService,
  PrintService,
  AnnotationService,
  FormFieldsService,
  FormDesignerService,
  PageOrganizerService,
  PageOrganizerZoomChangedEventArgs,
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [PdfViewerModule],
  providers: [
    LinkAnnotationService,
    BookmarkViewService,
    MagnificationService,
    ThumbnailViewService,
    ToolbarService,
    NavigationService,
    TextSearchService,
    TextSelectionService,
    PrintService,
    AnnotationService,
    FormFieldsService,
    FormDesignerService,
    PageOrganizerService,
  ],
  template: `
    <ejs-pdfviewer
      #pdfviewer
      id="PdfViewer"
      [documentPath]="document"
      [resourceUrl]="resource"
      [pageOrganizerSettings]="{ showImageZoomingSlider: true }"
      (pageOrganizerZoomChanged)="onPageOrganizerZoomChanged($event)"
      style="height: 100vh; width: 100%; display: block"
    >
    </ejs-pdfviewer>
  `,
})
export class AppComponent implements OnInit {
  @ViewChild('pdfviewer')
  public pdfviewerControl!: PdfViewerComponent;

  public document: string =
    'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';

  public resource: string =
    'https://cdn.syncfusion.com/ej2/23.2.6/dist/ej2-pdfviewer-lib';

  ngOnInit(): void {
    // Initialization logic (if needed)
  }

  onPageOrganizerZoomChanged(args: PageOrganizerZoomChangedEventArgs): void {
    console.log('Previous Zoom Value is' + args.previousZoom);
    console.log('Current Zoom Value is' + args.currentZoom);
  }
}